Bug 180601 - save profile crashes yumex
save profile crashes yumex
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-09 03:58 EST by Andy Burns
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.99.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-10 02:34:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Burns 2006-02-09 03:58:34 EST
Description of problem:

clicking on "Profiles -> Save" crashes yumex

Version-Release number of selected component (if applicable):

0.99.4

How reproducible:

100%

Steps to Reproduce:
1. start yumex
2. click profiles/save
  
Actual results:

Component: yumex
Version: 0.99.4
Summary: TB64824aa5 yumexmain.py:469:save_profile:AttributeError:
YumexMainApplication instance has no attribute 'get_selected'

Traceback (most recent call last):
  File "/usr/share/yumex/yumexmain.py", line 180, in on_ProfileSave
    self.save_profile()
  File "/usr/share/yumex/yumexmain.py", line 469, in save_profile
    repos = self.get_selected( 0 )
AttributeError: YumexMainApplication instance has no attribute 'get_selected'

Local variables in innermost frame:
self: <__main__.YumexMainApplication instance at 0xb79d832c>

Expected results:

Save dialog displayed
Comment 1 Tim Lauridsen 2006-02-09 05:36:47 EST
I have already found the error, it is fixed in CVS, i will soon make a new release.
Comment 2 Tim Lauridsen 2006-02-10 02:34:03 EST
I have made a new release 0.99.5, it should popup in Fedora Extras very soon

Note You need to log in before you can comment on or make changes to this bug.